Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class SiteModelFactory

    java.lang.Object
      org.eclipse.update.core.model.SiteModelFactory

Direct Known Subclasses:
  BaseSiteFactory

public class SiteModelFactory
extends Object

Default site model factory.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead subclass the provided base implementation of this factory.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `BaseSiteFactory`

Constructor Summary
`SiteModelFactory()` Creates a default site factory.

Method Summary
`boolean` | `canParseSiteType(String type)` Indicates whether this factory can handle the specified site type.
`ArchiveReferenceModel` | `createArchiveReferenceModel()` Create a default archive reference model.
`SiteFeatureReferenceModel` | `createFeatureReferenceModel()` Create a default site feature reference model.
`CategoryModel` | `createSiteCategoryModel()` Create a default category model.
`SiteModel` | `createSiteMapModel()` Create a default site model.
`URLEntryModel` | `createURLEntryModel()` Create a default annotated URL model.
`SiteModel` | `parseSite(InputStream stream)` Creates and populates a default site from stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SiteModelFactory

    public SiteModelFactory()

  Creates a default site factory.

Since:
  2.0

Method Detail

### canParseSiteType

    public boolean canParseSiteType(String type)

  Indicates whether this factory can handle the specified site type. This method is intended to be overridden by subclasses.

  Parameters:
    `type` - site type identifier
  Returns:
    `true` if the type can be handled, otherwise `false`
  Since:
    2.0

### parseSite

    public SiteModel parseSite(InputStream stream)
                        throws CoreException,
                               InvalidSiteTypeException

  Creates and populates a default site from stream. The parser assumes the stream contains a default site manifest (site.xml) as documented by the platform.

  Parameters:
    `stream` - site stream
  Returns:
    populated site model
  Throws:
    `CoreException`
    `InvalidSiteTypeException`
  Since:
    2.0

### createSiteMapModel

    public SiteModel createSiteMapModel()

  Create a default site model.

  Returns:
    site model
  Since:
    2.0
  See Also:
    `SiteModel`

### createFeatureReferenceModel

    public SiteFeatureReferenceModel createFeatureReferenceModel()

  Create a default site feature reference model.

  Returns:
    site feature reference model
  Since:
    2.0
  See Also:
    `SiteFeatureReferenceModel`

### createArchiveReferenceModel

    public ArchiveReferenceModel createArchiveReferenceModel()

  Create a default archive reference model.

  Returns:
    archive reference model
  Since:
    2.0
  See Also:
    `ArchiveReferenceModel`

### createURLEntryModel

    public URLEntryModel createURLEntryModel()

  Create a default annotated URL model.

  Returns:
    annotated URL model
  Since:
    2.0
  See Also:
    `URLEntryModel`

### createSiteCategoryModel

    public CategoryModel createSiteCategoryModel()

  Create a default category model.

  Returns:
    category model
  Since:
    2.0
  See Also:
    `CategoryModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.